DIPlib Documentation - ©1995-2017 Quantitative Imaging Group, Delft University of Technology.

# FeatureMean

Measure the object's mean intensity

## SYNOPSIS

`#include "dip_measurement.h"`

dip_int dip_FeatureMeanID ( void )

## OUTPUT DATA TYPE

`dip_float`

## FUNCTION

`dip_FeatureMeanID` returns the ID value of this measurement function, that is registered by `Initialise`.

This function measures the mean intensity in the intensity image (see `Measure`) of pixels inside the object.

## SEE ALSO

`Measure`

`FeatureAnisotropy2D`, `FeatureBendingEnergy`, `FeatureCenter`, `FeatureChainCodeBendingEnergy`, `FeatureConvexArea`, `FeatureConvexPerimeter`, `FeatureConvexity`, `FeatureDimension`, `FeatureExcessKurtosis`, `FeatureFeret`, `FeatureGinertia`, `FeatureGmu`, `FeatureGravity`, `FeatureInertia`, `FeatureLongestChaincodeRun`, `FeatureMass`, `FeatureMaxVal`, `FeatureMaximum`, `FeatureMean`, `FeatureMinVal`, `FeatureMinimum`, `FeatureMu`, `FeatureOrientation2D`, `FeatureP2A`, `FeaturePerimeter`, `FeatureRadius`, `FeatureShape`, `FeatureSize`, `FeatureSkewness`, `FeatureStdDev`, `FeatureSum`, `FeatureSurfaceArea`